# Generated by Django 3.2.5 on 2021-08-04 11:59

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DeclaraciónJurada',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('fecha', models.DateField()),
                ('temperatura', models.FloatField(default=37, validators=[django.core.validators.MinValueValidator(35), django.core.validators.MaxValueValidator(40)])),
                ('perdida_olfato', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('perdida_gusto', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('tos', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('dolor_garganta', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('dificultad_respiratoria', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('cefalea', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('mialgias', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('diarreas', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('vómitos', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], default='No', max_length=2)),
                ('persona_sospechosa_covid_19', models.BooleanField(default=False)),
                ('viaje_zona_aspo_últimos_14_dias', models.BooleanField(default=False)),
                ('cáncer', models.BooleanField(default=False)),
                ('diabetes', models.BooleanField(default=False)),
                ('enf_hepática', models.BooleanField(default=False)),
                ('enf_renal_crónica', models.BooleanField(default=False)),
                ('enf_respiratoria', models.BooleanField(default=False)),
                ('enf_cardiologica', models.BooleanField(default=False)),
                ('condición_defensas_bajas', models.BooleanField(default=False)),
                ('nombre_rp', models.CharField(max_length=40)),
                ('dni_rp', models.CharField(max_length=9)),
            ],
            options={
                'verbose_name_plural': 'Declaraciones Juradas',
            },
        ),
        migrations.CreateModel(
            name='Estudiante',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
                ('apellido', models.CharField(max_length=50)),
                ('curso', models.CharField(max_length=20)),
                ('dni', models.CharField(max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='Ingreso',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('fecha', models.DateTimeField(auto_now_add=True)),
                ('estado', models.CharField(choices=[('Permitido', 'Permitido'), ('Denegado', 'Denegado'), ('Permitido c/observaciones', 'Permitido c/observaciones')], default='Permitido', max_length=25)),
                ('ddjj', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='web.declaraciónjurada')),
                ('estudiante', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='web.estudiante')),
            ],
        ),
        migrations.AddField(
            model_name='declaraciónjurada',
            name='estudiante',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='web.estudiante'),
        ),
    ]
